document.addEventListener('DOMContentLoaded', function() {
    // Capture URL Parameters
    const urlParams = new URLSearchParams(window.location.search);
    const projectId = urlParams.get('project_id');
    const projectName = urlParams.get('project_name');

    // Form Submission Handling
    const form = document.getElementById('auditForm');
    if (form) {
        form.addEventListener('submit', function(event) {
            event.preventDefault();

            const formData = new FormData(form);
            formData.append('project_id', projectId);
            formData.append('project_name', projectName);

            fetch('/submit-ia-form', {
                method: 'POST',
                body: formData // FormData will be correctly formatted for the server
            })
            .then(response => {
                if (!response.ok) {
                    throw new Error('Network response was not ok');
                }
                return response.text();  // Assuming the server sends a plain text response
            })
            .then(text => {
                console.log('Success:', text);
                window.history.back();
            })
            .catch((error) => {
                console.error('Error:', error);
                // Handle errors here, e.g., display an error message
            });
        });
    } else {
        console.error('Form not found');
    }
});
